#!/usr/bin/csh

cd $PBS_O_WORKDIR
module load nco
set n = 2087
set j = 2099
set monidls = (JAN FEB MAR APR MAY JUN JUL AUG SEP OCT NOV DEC)
set tind1ls = (0 124 236 360 480 604 724 848 972 1092 1216 1336)
set tind2ls = (123 235 359 479 603 723 847 971 1091 1215 1335 1459)



set flhdra = /scratch/nsfcc/mashfaq/chris_poulsen/DATA_g/CAM85
set flhdrb = /scratch/nsfcc/mashfaq/chris_poulsen/DATA_g/CAM85
set archdir = /archive/fortress/home/ndiffenb/040gES_T85

while ( $n < 2099 )
 @ n ++
 @ j ++

 cd ${flhdra}
 cp ${archdir}/${n}.tar .
 tar -xvf ${n}.tar

 mkdir ${flhdrb}/${n}
 cd ${flhdrb}/${n}

 ncrcat -v date,T -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.air.${n}.nc
 ncrcat -v date,Z3 -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.hgt.${n}.nc
 ncrcat -v date,Q -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.shum.${n}.nc
 ncrcat -v date,U -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.uwnd.${n}.nc
 ncrcat -v date,V -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.vwnd.${n}.nc
 ncrcat -v date,PS -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.pres.${n}.nc
 ncrcat -v date,RELHUM -d lat,34,74 -d lon,194,234 ${flhdra}/040gES_T85.cam2.h1.${n}-??-??-00000.nc ${flhdrb}/${n}/ccsm.rhum.${n}.nc

 set k = 0

 while ( $k < 12 )
  @ k ++

  set monid = ${monidls[$k]}
  set tind1 = ${tind1ls[$k]}
  set tind2 = ${tind2ls[$k]}

  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.air.${n}.nc  ${flhdrb}/${n}/ccsm.air${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.hgt.${n}.nc ${flhdrb}/${n}/ccsm.hgt${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.shum.${n}.nc ${flhdrb}/${n}/ccsm.shum${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.uwnd.${n}.nc ${flhdrb}/${n}/ccsm.uwnd${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.vwnd.${n}.nc ${flhdrb}/${n}/ccsm.vwnd${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.pres.${n}.nc ${flhdrb}/${n}/ccsm.pres${monid}.${n}.nc
  ncea -d time,${tind1},${tind2} ${flhdrb}/${n}/ccsm.rhum.${n}.nc ${flhdrb}/${n}/ccsm.rhum${monid}.${n}.nc
 end



 rm ${flhdrb}/${n}/ccsm.air.${n}.nc
 rm ${flhdrb}/${n}/ccsm.hgt.${n}.nc
 rm ${flhdrb}/${n}/ccsm.shum.${n}.nc
 rm ${flhdrb}/${n}/ccsm.uwnd.${n}.nc
 rm ${flhdrb}/${n}/ccsm.vwnd.${n}.nc
 rm ${flhdrb}/${n}/ccsm.pres.${n}.nc
 rm ${flhdrb}/${n}/ccsm.rhum.${n}.nc

 rm ${flhdra}/${n}.tar
 rm ${flhdra}/040gES_T85.*${n}*



end


